Module jdk.jlink
Package jdk.tools.jlink.plugin

## Enum Plugin.CATEGORY

- java.lang.Object
- - java.lang.Enum<Plugin.CATEGORY>
  - - jdk.tools.jlink.plugin.Plugin.CATEGORY

All Implemented Interfaces:
  Serializable, Comparable<Plugin.CATEGORY>, Plugin.PluginType

Enclosing interface:
  Plugin

    public static enum Plugin.CATEGORY
    extends Enum<Plugin.CATEGORY>
    implements Plugin.PluginType

Order of categories:

1. FILTER: Filter in/out resources or files.
2. TRANSFORMER: Transform resources or files(eg: refactoring, bytecode manipulation).
3. MODULEINFO_TRANSFORMER: Transform only module-info.class
4. SORTER: Sort resources within the resource container.
5. COMPRESSOR: Compress resource within the resouce containers.
6. VERIFIER: Does some image verification.
7. PROCESSOR: Does some post processing on image.
8. PACKAGER: Final processing

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`COMPRESSOR`
`FILTER`
`MODULEINFO_TRANSFORMER`
`PACKAGER`
`PROCESSOR`
`SORTER`
`TRANSFORMER`
`VERIFIER`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getName()`
`static Plugin.CATEGORY` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Plugin.CATEGORY[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### COMPRESSOR

    public static final Plugin.CATEGORY COMPRESSOR

#### FILTER

    public static final Plugin.CATEGORY FILTER

#### MODULEINFO_TRANSFORMER

    public static final Plugin.CATEGORY MODULEINFO_TRANSFORMER

#### PACKAGER

    public static final Plugin.CATEGORY PACKAGER

#### PROCESSOR

    public static final Plugin.CATEGORY PROCESSOR

#### SORTER

    public static final Plugin.CATEGORY SORTER

#### TRANSFORMER

    public static final Plugin.CATEGORY TRANSFORMER

#### VERIFIER

    public static final Plugin.CATEGORY VERIFIER

### Method Detail

#### values

    public static Plugin.CATEGORY[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Plugin.CATEGORY c : Plugin.CATEGORY.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Plugin.CATEGORY valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getName

    public String getName()

Specified by:
  `getName` in interface `Plugin.PluginType`